/*
 * Two synchronous stepper motors  
 * uses the Stepper_Aclr8_2 library
 *
 * created by Ben @ cape ealing
 * 29 May 2008
 *
 */

// include the library
#include <Steppers_Aclr8_2.h>

// initialise the class
Steppers_Aclr8_2 MyTwoSteppers = Steppers_Aclr8_2();

void setup()
{
  // define each stepper motor
  // (no of steps per rev, pin1, pin2, pin3, pin4)
  MyTwoSteppers.stepper1(200, 4, 6, 5, 7);
  MyTwoSteppers.stepper2(200, 8, 10, 9, 11);

  // define the rates of each motor
  // (min speed, max speed, steps take to accelerate)
  MyTwoSteppers.stepper1speeds(5, 30, 200);
  MyTwoSteppers.stepper2speeds(10, 40, 100);
}

void loop()
{
// First motor: 600 steps forward
// Second motor: 300 steps back
MyTwoSteppers.step(600, -300);
delay(2000);

// First motor: 300 steps backward
// Second motor: 600 steps forward
MyTwoSteppers.step(-300, 600);
delay(2000);
}